doctrine:
    dbal:
        #url: '%env(resolve:DATABASE_URL)%'
        default_connection: main
        connections:
            main:
                wrapper_class: App\DBAL\FailoverConnectionWrapper
                driver: pdo_mysql
                host:     '%env(DATABASE_HOST)%'
                port:     '%env(DATABASE_PORT)%'
                dbname:   '%env(DATABASE_NAME)%'
                user:     '%env(DATABASE_USER)%'
                password: '%env(DATABASE_PASSWORD)%'
                charset: UTF8MB4
            slave:
                wrapper_class: App\DBAL\SlaveConnectionWrapper
                driver: pdo_mysql
                port: '%env(DATABASE_PORT)%'
                dbname: '%env(DATABASE_NAME)%'
                user: '%env(DATABASE_USER2)%'
                password: '%env(DATABASE_PASSWORD2)%'
                charset: UTF8MB4

        # IMPORTANT: You MUST configure your server version,
        # either here or in the DATABASE_URL env var (see .env file)
        #server_version: '13'

        # only needed for MySQL
        #charset: utf8mb4
        #default_table_options:
            #collate: utf8mb4_unicode_ci

        # backtrace queries in profiler (increases memory usage per request)
        #profiling_collect_backtrace: '%kernel.debug%'
    orm:
        auto_generate_proxy_classes: '%kernel.debug%'

        #naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
        #auto_mapping: true
        #mappings:
            #App:
            #is_bundle: false
            #type: annotation
            #dir: '%kernel.project_dir%/src/Entity'
            #prefix: 'App\Entity'
            #alias: App
        default_entity_manager: dashboard
        entity_managers:
            dashboard:

#                second_level_cache:
#                    enabled: true
#                    region_cache_driver:
#                        type: pool
#                        pool: doctrine.second_level_cache_pool
#                    region_lifetime: 900
#                metadata_cache_driver:
#                    type: pool
#                    pool: doctrine.system_cache_pool
#                query_cache_driver:
#                    type: pool
#                    pool: doctrine.query_cache_pool
#                result_cache_driver:
#                    type: pool
#                    pool: doctrine.result_cache_pool

                naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
                connection: main
                mappings:
                    Dashboard:
                        is_bundle: false
                        type: annotation
                        dir: '%kernel.project_dir%/src/Entity/Dashboard'
                        prefix: 'App\Entity\Dashboard'
                        alias: Dashboard
                    User:
                        is_bundle: false
                        type: annotation
                        dir: '%kernel.project_dir%/src/Entity'
                        prefix: 'App\Entity\User'
                        alias: User
                    Ats:
                        is_bundle: false
                        type: annotation
                        dir: '%kernel.project_dir%/src/Entity/Ats'
                        prefix: 'App\Entity\Ats'
                        alias: Ats
                    Hubspot:
                        is_bundle: false
                        type: annotation
                        dir: '%kernel.project_dir%/src/Entity/Hubspot'
                        prefix: 'App\Entity\Hubspot'
                        alias: Hubspot
                dql:
                    datetime_functions:
                        date: App\DQL\Date
                        week: App\DQL\Week
                        month: App\DQL\Month
                        quarter: App\DQL\Quarter
                        year: App\DQL\Year
                        dayname: App\DQL\DayName
                        weekday: App\DQL\WeekDay
                        time: App\DQL\Time
                        timestampdiff: App\DQL\TimeStampDiff
                        dateformat: App\DQL\DateFormat
                        regexp: App\DQL\Regexp
                        datediff: App\DQL\DateDiff
                        date_format: App\DQL\DateFormat
                        findinset: App\DQL\FindInSet
                        round: App\DQL\Round

                    numeric_functions:
                        rand: DoctrineExtensions\Query\Mysql\Rand

                    string_functions:
                        if: DoctrineExtensions\Query\Mysql\IfElse

            read:

#                second_level_cache:
#                    enabled: true
#                    region_cache_driver:
#                        type: pool
#                        pool: doctrine.second_level_cache_pool
#                    region_lifetime: 900
#                metadata_cache_driver:
#                    type: pool
#                    pool: doctrine.system_cache_pool
#                query_cache_driver:
#                    type: pool
#                    pool: doctrine.query_cache_pool
#                result_cache_driver:
#                    type: pool
#                    pool: doctrine.result_cache_pool

                naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
                connection: slave
                mappings:
                    Dashboard:
                        is_bundle: false
                        type: annotation
                        dir: '%kernel.project_dir%/src/Entity/Dashboard'
                        prefix: 'App\Entity\Dashboard'
                        alias: Dashboard
                    User:
                        is_bundle: false
                        type: annotation
                        dir: '%kernel.project_dir%/src/Entity'
                        prefix: 'App\Entity\User'
                        alias: User
                    Ats:
                        is_bundle: false
                        type: annotation
                        dir: '%kernel.project_dir%/src/Entity/Ats'
                        prefix: 'App\Entity\Ats'
                        alias: Ats
                    Hubspot:
                        is_bundle: false
                        type: annotation
                        dir: '%kernel.project_dir%/src/Entity/Hubspot'
                        prefix: 'App\Entity\Hubspot'
                        alias: Hubspot
                dql:
                    datetime_functions:
                        date: App\DQL\Date
                        week: App\DQL\Week
                        month: App\DQL\Month
                        quarter: App\DQL\Quarter
                        year: App\DQL\Year
                        dayname: App\DQL\DayName
                        weekday: App\DQL\WeekDay
                        time: App\DQL\Time
                        timestampdiff: App\DQL\TimeStampDiff
                        date_format: App\DQL\DateFormat
                        regexp: App\DQL\Regexp
                        datediff: App\DQL\DateDiff
                        findinset: App\DQL\FindInSet

                    numeric_functions:
                        rand: DoctrineExtensions\Query\Mysql\Rand

                    string_functions:
                        if: DoctrineExtensions\Query\Mysql\IfElse

#framework:
#    cache:
#        pools:
#            doctrine.result_cache_pool:
#                adapter: cache.app
#            doctrine.system_cache_pool:
#                adapter: cache.system
#            doctrine.query_cache_pool:
#                adapter: cache.system
#            doctrine.second_level_cache_pool:
#                adapter: cache.app